## zytrax 0%2Bgit20201215

=== debian/changelog ===
zytrax (0+git20201215-1+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Sat, 08 Jul 2023 02:34:08 +0800

zytrax (0+git20201215-1) unstable; urgency=medium

  * New upstream version.
  * d/upstream/metadata: added.
  * d/control:
    - added Rules-Requires-Root.
    - added Vcs fields.
  * d/copyright:
    - update copyright years.
    - added Upstream-Contact.
  * d/clean: updated.
  * d/docs: dropped.
  * Bump debhelper version to 13.
  * Bump standards version to 4.5.1.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Tue, 15 Dec 2020 06:43:08 +0100

zytrax (0+git20190810-2) unstable; urgency=medium

  * Source only upload for testing migration.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Mon, 27 Jan 2020 09:16:30 +0100

zytrax (0+git20190810-1) unstable; urgency=medium

  * Initial release. (Closes: #948405)

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Wed, 08 Jan 2020 11:49:41 +0100

## zytrax 0+git20190810

=== SConstruct ===
import os
import sys
EnsureSConsVersion(0,14);

env = Environment(CPPPATH=['#/globals','#gui','#.'],ENV=os.environ)



env.ParseConfig("pkg-config gtkmm-3.0 --libs --cflags")
env.Append(CXXFLAGS=["-g3"])

opts = Variables(ARGUMENTS)

if (os.getenv("XDG_CURRENT_DESKTOP")!=None):
	detected_platform="freedesktop"
elif (os.getenv("APPDATA")!=None):
	detected_platform = "windows"
else:
	detected_platform = ""

opts.Add(EnumVariable("platform","Platform to build",detected_platform,("windows","osx","freedesktop")))
opts.Add(BoolVariable("enable_rtaudio","Use RtAudio as Sound Driver",True))
opts.Add(BoolVariable("use_jack","Use Jack with RtAudio",False))
opts.Add(BoolVariable("use_pulseaudio","Use Pulseaudio with RtAudio",True))
opts.Add(BoolVariable("use_alsa","Use Alsa with RtAudio and RtMidi",True))
opts.Add(BoolVariable("enable_vst2","Enable VST2",True))
opts.Add(BoolVariable("use_wasapi","Enable Wasapi",True))
opts.Add(BoolVariable("use_directsound","Enable Wasapi",True))
opts.Add(BoolVariable("enable_rtmidi","Use RtMidi as MIDI Driver",True))
opts.Add(BoolVariable("use_winmm","Enable WinMM for RtMidi",True))

opts.Update(env)  # update environment
Help(opts.GenerateHelpText(env))  # generate help

if (detected_platform==""):
	print("No build platform detected, available platforms: windows, freedesktop,osx")
	sys.exit()

if (env["enable_rtaudio"]):

	env.Append(CXXFLAGS=["-DRTAUDIO_ENABLED"])

if (env["enable_rtmidi"]):

	env.Append(CXXFLAGS=["-DRTMIDI_ENABLED"])


if (env["platform"]=="windows"):
	env.Append(CXXFLAGS=["-DWINDOWS_ENABLED"])
	if (env["enable_vst2"]):	
		env.Append(CXXFLAGS=["-DVST2_ENABLED"])
	if (env["use_wasapi"]):
		env.Append(CXXFLAGS=["-D__WINDOWS_WASAPI__"])
	if (env["use_directsound"]):
		env.Append(CXXFLAGS=["-D__WINDOWS_DS__"])
	if (env["use_winmm"]):
		env.Append(CXXFLAGS=["-D__WINDOWS_MM__"])

	#env.Append(CXXFLAGS=["-D__WINDOWS_ASIO__"])
	env.Append(LIBS=["dsound","mfplat","mfuuid","wmcodecdspuuid","ksuser"])


if (env["platform"]=="freedesktop"):

	env.Append(CXXFLAGS=["-DFREEDESKTOP_ENABLED"])
	if (env["enable_vst2"]):
		env.Append(CXXFLAGS=["-DVST2_ENABLED"])
	if (env["use_pulseaudio"]):
		env.Append(CXXFLAGS=["-D__LINUX_PULSE__"])
		env.ParseConfig("pkg-config libpulse --libs --cflags")
		env.ParseConfig("pkg-config libpulse-simple --libs --cflags")
	if (env["use_alsa"]):
		env.Append(CXXFLAGS=["-D__LINUX_ALSA__"])
		env.ParseConfig("pkg-config alsa --libs --cflags")
	if (env["use_jack"]):
		env.Append(CXXFLAGS=["-D__LINUX_JACK__"])
		env.ParseConfig("pkg-config jack --libs --cflags")


	env.ParseConfig("pkg-config x11 --libs --cflags")
	env.Append(LIBS=["dl"])


def add_sources(self, sources, filetype, lib_env = None, shared = False):
	import glob;
	import string;
	#if not lib_objects:
	if not lib_env:
		lib_env = self
	if type(filetype) == type(""):

		dir = self.Dir('.').abspath
		list = glob.glob(dir + "/"+filetype)
		for f in list:
			sources.append( self.Object(f) )
	else:
		for f in filetype:
			sources.append(self.Object(f))
			
		
env.__class__.add_sources=add_sources


Export('env')

env.libs=[]

SConscript('globals/SCsub');
SConscript('dsp/SCsub');
SConscript('engine/SCsub');
SConscript('gui/SCsub');
SConscript('effects/SCsub');
SConscript('drivers/SCsub');
SConscript('bin/SCsub');

=== debian/changelog ===
zytrax (0+git20190810-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 17:04:44 +0100

=== debian/control ===
Source: zytrax
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
Build-Depends: debhelper-compat (= 12), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
Standards-Version: 4.4.1
Homepage: https://github.com/reduz/zytrax

Package: zytrax
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Easy to use, tracker-inspired music sequencer
 This is an easy to use music sequencer with an interface heavily
 inspired by 90's "tracker" software (most specifically Impulse
 Tracker).
 .
 While contemporary software that uses this approach exists, it
 usually has a high entry barrier because it maintains compatibility
 with old formats.
 .
 In contrast to this, ZyTrax starts afresh with an user friendly
 approach (no hex numbers, pure plugin-based architecture, inlined
 automation envelopes, smart automations, zoomable patterns and a
 simple pattern/orderlist layout).

=== debian/watch ===
version=4
# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%$1.tar.gz%" \
   https://github.com/reduz/zytrax/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## zytrax 0+git20201215

=== SConstruct ===
--- 
+++ 
@@ -28,6 +28,7 @@
 opts.Add(BoolVariable("use_directsound","Enable Wasapi",True))
 opts.Add(BoolVariable("enable_rtmidi","Use RtMidi as MIDI Driver",True))
 opts.Add(BoolVariable("use_winmm","Enable WinMM for RtMidi",True))
+opts.Add(BoolVariable("enable_lv2","Enable LV2",False)) # Experimental, no UI
 
 opts.Update(env)  # update environment
 Help(opts.GenerateHelpText(env))  # generate help
@@ -46,6 +47,7 @@
 
 
 if (env["platform"]=="windows"):
+	env["enable_lv2"]=False
 	env.Append(CXXFLAGS=["-DWINDOWS_ENABLED"])
 	if (env["enable_vst2"]):	
 		env.Append(CXXFLAGS=["-DVST2_ENABLED"])
@@ -75,6 +77,10 @@
 	if (env["use_jack"]):
 		env.Append(CXXFLAGS=["-D__LINUX_JACK__"])
 		env.ParseConfig("pkg-config jack --libs --cflags")
+	if (env["enable_lv2"]):
+		env.ParseConfig("pkg-config lilv-0 --libs --cflags")
+		env.ParseConfig("pkg-config suil-0 --libs --cflags")
+		env.Append(CXXFLAGS=["-DLV2_ENABLED"])
 
 
 	env.ParseConfig("pkg-config x11 --libs --cflags")

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,11 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 12), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/multimedia-team/zytrax.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/zytrax
 Homepage: https://github.com/reduz/zytrax
 
 Package: zytrax

## zytrax 0+git20250217+ds

=== Makefile ===
all:
	scons

=== SConstruct ===
--- 
+++ 
@@ -20,6 +20,7 @@
 
 opts.Add(EnumVariable("platform","Platform to build",detected_platform,("windows","osx","freedesktop")))
 opts.Add(BoolVariable("enable_rtaudio","Use RtAudio as Sound Driver",True))
+opts.Add(BoolVariable("enable_jack","Use Jack as Sound Driver",True))
 opts.Add(BoolVariable("use_jack","Use Jack with RtAudio",False))
 opts.Add(BoolVariable("use_pulseaudio","Use Pulseaudio with RtAudio",True))
 opts.Add(BoolVariable("use_alsa","Use Alsa with RtAudio and RtMidi",True))
@@ -40,6 +41,14 @@
 if (env["enable_rtaudio"]):
 
 	env.Append(CXXFLAGS=["-DRTAUDIO_ENABLED"])
+
+if (env["enable_jack"]):
+	try:
+		env.ParseConfig(f'pkg-config --cflags --libs jack')
+		env.Append(CXXFLAGS=["-DJACK_ENABLED"])
+	except SCons.Script.SConsEnvironmentError:
+		print("Jack support requested but pkg-config could not find it, disabling. ");
+		env["enable_jack"]=False
 
 if (env["enable_rtmidi"]):

=== debian/changelog ===
zytrax (0+git20250217+ds-2) unstable; urgency=medium

  * d/control: add libjack-jackd2-dev to build-depends.

 -- Alex Myczko <tar@debian.org>  Mon, 17 Feb 2025 11:37:02 +0000

zytrax (0+git20250217+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/clean: upated.
  * d/patches: dropped.

 -- Alex Myczko <tar@debian.org>  Mon, 17 Feb 2025 09:51:37 +0000

zytrax (0+git20201215-2) unstable; urgency=medium

  * Bump standards version to 4.7.0.
  * Update maintainer email address.
  * Ack NMU.

 -- Alex Myczko <tar@debian.org>  Wed, 05 Jun 2024 04:54:29 +0000

zytrax (0+git20201215-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/01-fix_ftbfs_gcc-13.patch: New. Fix FTBFS with gcc-13.
    Thanks to Adrian Bunk (Closes: #1037913).

 -- Marcos Talau <talau@debian.org>  Sun, 10 Sep 2023 14:20:16 +0530

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Gürkan Myczko <gurkan@phys.ethz.ch>
-Build-Depends: debhelper-compat (= 13), scons, libgtkmm-3.0-dev, liblilv-dev, libsuil-dev, libpulse-dev, libasound2-dev
-Standards-Version: 4.5.1
+Uploaders: Alex Myczko <tar@debian.org>
+Build-Depends: debhelper-compat (= 13),
+ scons,
+ libgtkmm-3.0-dev,
+ liblilv-dev,
+ libsuil-dev,
+ libpulse-dev,
+ libjack-jackd2-dev,
+ libasound2-dev
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/multimedia-team/zytrax.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/zytrax

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

export XDG_CURRENT_DESKTOP=bobmarley

%:
	dh $@
